Bug 241953 - [exp-run] Clean up after java/openjdk6 and java/openjdk6-jre removal
Summary: [exp-run] Clean up after java/openjdk6 and java/openjdk6-jre removal
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jung-uk Kim
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-13 18:39 UTC by Jung-uk Kim
Modified: 2019-11-26 21:50 UTC (History)
1 user (show)

See Also:
antoine: exp-run+


Attachments
Clean up Java infrastructure after Java 6 removal (135.76 KB, patch)
2019-11-13 18:39 UTC, Jung-uk Kim
no flags Details | Diff
Clean up Java infrastructure after Java 6 removal (v2) (198.19 KB, patch)
2019-11-20 19:22 UTC, Jung-uk Kim
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jung-uk Kim freebsd_committer 2019-11-13 18:39:58 UTC
Created attachment 209134 [details]
Clean up Java infrastructure after Java 6 removal

java@ would like to ask for an exp-run to clean up Java infrastructure after java/openjdk6 and java/openjdk6-jre removal.

The patch is attached and it is also available from here.

https://reviews.freebsd.org/D22342
Comment 2 Jung-uk Kim freebsd_committer 2019-11-20 19:22:30 UTC
Created attachment 209286 [details]
Clean up Java infrastructure after Java 6 removal (v2)

Please run exp-run again with this patch.  Thanks!
Comment 3 Antoine Brodin freebsd_committer 2019-11-23 22:28:22 UTC
Exp-run looks fine
Comment 4 commit-hook freebsd_committer 2019-11-26 21:46:52 UTC
A commit references this bug:

Author: jkim
Date: Tue Nov 26 21:46:31 UTC 2019
New revision: 518482
URL: https://svnweb.freebsd.org/changeset/ports/518482

Log:
  Clean up after java/openjdk6 and java/openjdk6-jre removal

  java/openjdk6 support was removed from Mk/bsd.java.mk (r512662) and
  java/openjdk6 and java/openjdk6-jre were removed from the ports tree
  (r512663).  Now this patch completely removes remaining stuff from the
  ports tree.

  PR:			241953 (exp-run)
  Reviewed by:		glewis
  Approved by:		portmgr (antoine)
  Differential Revision:	https://reviews.freebsd.org/D22342

Changes:
  head/Mk/bsd.java.mk
  head/archivers/javatar/Makefile
  head/archivers/jzlib/Makefile
  head/archivers/snappy-java/Makefile
  head/astro/gpsprune/Makefile
  head/astro/gpsprune/files/gpsprune.sh.in
  head/astro/osmosis/Makefile
  head/audio/atunes/Makefile
  head/audio/atunes/files/atunes.in
  head/audio/gervill/Makefile
  head/audio/jid3lib/Makefile
  head/audio/musiccontrol/Makefile
  head/audio/tuxguitar/Makefile
  head/benchmarks/linux-vdbench/Makefile
  head/benchmarks/scimark2/Makefile
  head/biology/artemis/Makefile
  head/biology/cytoscape/Makefile
  head/biology/jalview/Makefile
  head/biology/jalview/files/jalview.sh.in
  head/biology/trimmomatic/Makefile
  head/cad/electric-ng/Makefile
  head/cad/electric-ng/files/electric-ng.in
  head/cad/fidocadj/Makefile
  head/cad/fidocadj/files/fidocadj.sh.in
  head/cad/impact/Makefile
  head/cad/impact/files/impact.in
  head/cad/impact/files/impactgui.in
  head/cad/logisim/Makefile
  head/cad/sweethome3d/Makefile
  head/cad/sweethome3d/files/sweethome3d.sh.in
  head/comms/rxtx/Makefile
  head/comms/yaac/Makefile
  head/comms/yaac/files/yaac.sh.in
  head/databases/apache-commons-dbutils/Makefile
  head/databases/c3p0/Makefile
  head/databases/db6/Makefile
  head/databases/frontbase-jdbc/Makefile
  head/databases/hbase/Makefile
  head/databases/hsqldb/Makefile
  head/databases/isql-viewer/Makefile
  head/databases/isql-viewer/files/iSQL-Viewer.sh
  head/databases/jasperreports/Makefile
  head/databases/jrobin/Makefile
  head/databases/jrrd/Makefile
  head/databases/libgda5/Makefile
  head/databases/postgis-jdbc/Makefile
  head/databases/powerarchitect/Makefile
  head/databases/powerarchitect/files/powerarchitect.in
  head/databases/puppetdb5/Makefile
  head/databases/puppetdb6/Makefile
  head/deskutils/docear/Makefile
  head/deskutils/freemind/Makefile
  head/deskutils/freemind/files/freemind.sh.in
  head/deskutils/freeplane/Makefile
  head/deskutils/ganttproject/Makefile
  head/deskutils/projectlibre/Makefile
  head/deskutils/projectlibre/files/projectlibre.sh.in
  head/deskutils/thinkingrock/Makefile
  head/devel/antlr/Makefile
  head/devel/antlr/files/antlr.sh.in
  head/devel/antlr3/Makefile
  head/devel/antlr3/files/antlr.sh.in
  head/devel/apache-commons-configuration/Makefile
  head/devel/apache-commons-daemon/Makefile
  head/devel/apache-commons-io/Makefile
  head/devel/apache-commons-jxpath/Makefile
  head/devel/apache-commons-modeler/Makefile
  head/devel/argouml/Makefile
  head/devel/argouml/files/argouml.sh.in
  head/devel/astah-community/Makefile
  head/devel/avalon-framework/Makefile
  head/devel/charva/Makefile
  head/devel/doctorj/Makefile
  head/devel/flex-sdk/Makefile
  head/devel/flex-sdk35/Makefile
  head/devel/flexjson/Makefile
  head/devel/gitblit/Makefile
  head/devel/gogland-eap/Makefile
  head/devel/gradle4/Makefile
  head/devel/hadoop/Makefile
  head/devel/hadoop2/Makefile
  head/devel/hive/Makefile
  head/devel/ireport/Makefile
  head/devel/itext/Makefile
  head/devel/java-findbugs/Makefile
  head/devel/java-findbugs/files/patch-findbugs2
  head/devel/jcmdline/Makefile
  head/devel/jiic/Makefile
  head/devel/jsap/Makefile
  head/devel/leiningen/Makefile
  head/devel/libvirt-java/Makefile
  head/devel/looks/Makefile
  head/devel/maven/Makefile
  head/devel/maven/files/mvn.sh.in
  head/devel/maven3/Makefile
  head/devel/maven3/files/mvn.sh.in
  head/devel/maven31/Makefile
  head/devel/maven31/files/mvn.sh.in
  head/devel/maven33/Makefile
  head/devel/maven33/files/mvn.sh.in
  head/devel/netscape-java40/Makefile
  head/devel/ocaml-camljava/Makefile
  head/devel/oozie/Makefile
  head/devel/p5-Inline-Java/Makefile
  head/devel/p5-Java/Makefile
  head/devel/pig/Makefile
  head/devel/pmd/Makefile
  head/devel/py-jcc/Makefile
  head/devel/py-jep/Makefile
  head/devel/pycharm-ce/Makefile
  head/devel/sabre/Makefile
  head/devel/simian/Makefile
  head/devel/smc/Makefile
  head/devel/soapui/Makefile
  head/devel/sonar-ant-task/Makefile
  head/devel/sonar-scanner-cli/Makefile
  head/devel/sonarqube/Makefile
  head/devel/spark/Makefile
  head/devel/statcvs/Makefile
  head/devel/statsvn/Makefile
  head/devel/swank-clojure/Makefile
  head/devel/tijmp/Makefile
  head/devel/tinylaf/Makefile
  head/devel/violet/Makefile
  head/dns/crossip/Makefile
  head/dns/crossip/files/crossip.sh.in
  head/dns/dnsjava/Makefile
  head/editors/drjava/Makefile
  head/editors/drjava/files/drjava.in
  head/editors/jedit/Makefile
  head/editors/jedit/files/jedit.sh.in
  head/editors/omegaT/Makefile
  head/editors/omegaT/files/omegaT.sh.in
  head/editors/openoffice-4/Makefile
  head/editors/openoffice-devel/Makefile
  head/editors/treeform/Makefile
  head/emulators/javatari/Makefile
  head/emulators/javatari/files/javatari.in
  head/finance/jgnash/Makefile
  head/finance/venice/Makefile
  head/finance/venice/files/venice.in
  head/ftp/jftp/Makefile
  head/games/blackjackclient/Makefile
  head/games/blackjackclient/files/BlackjackClient.sh.in
  head/games/castlevox/Makefile
  head/games/castlevox/files/CastleVox.in
  head/games/dmjava/Makefile
  head/games/domination/Makefile
  head/games/domination/files/domination-FlashGUI.in
  head/games/domination/files/domination-Increment1GUI.in
  head/games/domination/files/domination-SimpleGUI.in
  head/games/domination/files/domination-SwingGUI.in
  head/games/freecol/Makefile
  head/games/java-games-suite/Makefile
  head/games/java-games-suite/files/java-games-suite.sh.in
  head/games/jchessboard/Makefile
  head/games/jchessboard/files/jchessboard.in
  head/games/jin/Makefile
  head/games/jin/files/jin.in
  head/games/jinput/Makefile
  head/games/jtans/Makefile
  head/games/jtans/files/jtans.sh.in
  head/games/jutils/Makefile
  head/games/lwjgl/Makefile
  head/games/moagg/Makefile
  head/games/pcgen/Makefile
  head/games/pcgen/files/pcgen.sh.in
  head/games/rescue/Makefile
  head/games/rescue/files/rescue.in
  head/games/robocode/Makefile
  head/games/robocode/files/robocode-MeleeRumble.in
  head/games/robocode/files/robocode-RoboRumble.in
  head/games/robocode/files/robocode-Robocode.in
  head/games/robocode/files/robocode-TeamRumble.in
  head/games/robocode/files/robocode-TwinDuel.in
  head/games/robocode-naval/Makefile
  head/games/robocode-naval/files/robocode-NavalRobocode.in
  head/games/spicetrade/Makefile
  head/games/spicetrade/files/spicetrade.in
  head/games/stendhal/Makefile
  head/graphics/aoi/Makefile
  head/graphics/aoi/files/aoi.in
  head/graphics/barbecue/Makefile
  head/graphics/batik/Makefile
  head/graphics/cbviewer/Makefile
  head/graphics/cbviewer/files/cbviewer.in
  head/graphics/cosmoplayer/Makefile
  head/graphics/ditaa/Makefile
  head/graphics/geoserver/Makefile
  head/graphics/jalbum/Makefile
  head/graphics/jave6/Makefile
  head/graphics/jave6/files/jave6.in
  head/graphics/jdraw/Makefile
  head/graphics/jdraw/files/jdraw.in
  head/graphics/jogl/Makefile
  head/graphics/jpatch/Makefile
  head/graphics/jpatch/files/jpatch.sh.in
  head/graphics/libpano13/Makefile
  head/graphics/lightzone/Makefile
  head/graphics/mapyrus/Makefile
  head/graphics/mapyrus/files/mapyrus.in
  head/graphics/opendx/Makefile
  head/graphics/tintfu/Makefile
  head/graphics/tintfu/files/tintfu.sh.in
  head/graphics/xmlgraphics-commons/Makefile
  head/java/apache-commons-cli/Makefile
  head/java/apache-commons-lang/Makefile
  head/java/apache-commons-lang3/Makefile
  head/java/apache-commons-logging/Makefile
  head/java/apache-commons-primitives/Makefile
  head/java/aparapi/Makefile
  head/java/avis/Makefile
  head/java/berkeley-db/Makefile
  head/java/bouncycastle/Makefile
  head/java/bouncycastle15/Makefile
  head/java/castor/Makefile
  head/java/cryptix-jce/Makefile
  head/java/dbvis/Makefile
  head/java/eclipse-drjava/Makefile
  head/java/eclipse-ecj/Makefile
  head/java/eclipse-ecj/files/ecj.sh.in
  head/java/eclipse-findbugs/Makefile
  head/java/eclipse-shelled/Makefile
  head/java/infobus/Makefile
  head/java/jai/Makefile
  head/java/jakarta-bcel/Makefile
  head/java/jakarta-commons-beanutils/Makefile
  head/java/jakarta-commons-discovery/Makefile
  head/java/jakarta-commons-httpclient/Makefile
  head/java/jakarta-oro/Makefile
  head/java/jakarta-regexp/Makefile
  head/java/jasmin/Makefile
  head/java/jasmin/files/jasmin.sh.in
  head/java/java-subversion/Makefile
  head/java/java3d/Makefile
  head/java/javahelp/Makefile
  head/java/javahelp/files/jhindexer.in
  head/java/javahelp/files/jhsearch.in
  head/java/javavmwrapper/Makefile
  head/java/javavmwrapper/src/javavm.1
  head/java/javavmwrapper/src/javavmwrapper.sh
  head/java/javavmwrapper/src/manvm.1
  head/java/javavmwrapper/src/registervm.1
  head/java/jaxen/Makefile
  head/java/jcalendar/Makefile
  head/java/jcommon/Makefile
  head/java/jd-gui/Makefile
  head/java/jdbcpool/Makefile
  head/java/jdom/Makefile
  head/java/jfreechart/Makefile
  head/java/jgraph/Makefile
  head/java/jmf/Makefile
  head/java/jode/Makefile
  head/java/jomp/Makefile
  head/java/jta/Makefile
  head/java/jump/Makefile
  head/java/mx4j/Makefile
  head/java/servingxml/Makefile
  head/java/springframework/Makefile
  head/java/springframework31/Makefile
  head/java/sqlitejdbc/Makefile
  head/java/trove4j/Makefile
  head/java/wildfly10/Makefile
  head/java/wildfly10/files/patch-bin_add-user.sh
  head/java/wildfly10/files/wildfly10.in
  head/java/wildfly11/Makefile
  head/java/wildfly11/files/patch-bin_add-user.sh
  head/java/wildfly11/files/wildfly11.in
  head/java/wildfly12/Makefile
  head/java/wildfly12/files/patch-bin_add-user.sh
  head/java/wildfly12/files/wildfly12.in
  head/java/wildfly13/Makefile
  head/java/wildfly13/files/patch-bin_add-user.sh
  head/java/wildfly13/files/wildfly13.in
  head/java/wildfly90/Makefile
  head/java/wildfly90/files/patch-bin-add-user.sh
  head/java/wildfly90/files/wildfly90.in
  head/java/xdoclet/Makefile
  head/lang/abcl/Makefile
  head/lang/apache-commons-jelly/Makefile
  head/lang/apache-commons-jelly/files/jelly.sh.in
  head/lang/bsh/Makefile
  head/lang/bsh/files/bsh.sh.in
  head/lang/ceylon/Makefile
  head/lang/groovy/Makefile
  head/lang/jython/Makefile
  head/lang/linux-j/Makefile
  head/lang/linux-j/files/jw.sh.in
  head/lang/rhino/Makefile
  head/lang/rhino/files/rhinoc.in
  head/lang/rhino/files/rhinodbg.in
  head/lang/rhino/files/rhinosh.in
  head/lang/sisc/Makefile
  head/lang/starlogo/Makefile
  head/lang/starlogo/files/starlogo.sh.in
  head/mail/davmail/Makefile
  head/mail/james/Makefile
  head/mail/james/files/james.in
  head/mail/mime4j/Makefile
  head/mail/openemm2013/Makefile
  head/mail/openemm2013/files/openemm2013.in
  head/mail/openemm2015/Makefile
  head/math/cvc4/Makefile
  head/math/geonext/Makefile
  head/math/jakarta-commons-math3/Makefile
  head/math/jeuclid/Makefile
  head/math/jlatexmath/Makefile
  head/math/matlab-installer/Makefile
  head/math/octave/Makefile
  head/math/plman/Makefile
  head/math/truthtable/Makefile
  head/math/truthtable/files/truthtable.in
  head/misc/freeguide/Makefile
  head/misc/jbidwatcher/Makefile
  head/misc/jbidwatcher/files/jbidwatcher.in
  head/misc/pauker/Makefile
  head/misc/pipe/Makefile
  head/misc/pipe/files/pipe.sh.in
  head/multimedia/gdialog/Makefile
  head/multimedia/gdialog/files/gdialog.in
  head/multimedia/libbluray/Makefile
  head/multimedia/projectx/Makefile
  head/multimedia/projectx/files/project-x.sh.in
  head/net/activemq/Makefile
  head/net/apache-commons-net/Makefile
  head/net/belle-sip/Makefile
  head/net/dimes/Makefile
  head/net/java-beepcore/Makefile
  head/net/jcifs/Makefile
  head/net/jgroups/Makefile
  head/net/jicmp/Makefile
  head/net/jicmp6/Makefile
  head/net/jrdesktop/Makefile
  head/net/jsch/Makefile
  head/net/ldapbrowser/Makefile
  head/net/mpich2/Makefile
  head/net/seda/Makefile
  head/net/spread-j/Makefile
  head/net/toonel/Makefile
  head/net/toonel/files/toonel.sh.in
  head/net-im/convey/Makefile
  head/net-im/convey/files/convey.sh.in
  head/net-p2p/frost/Makefile
  head/net-p2p/frost/files/wrapper.sh
  head/net-p2p/phex/Makefile
  head/net-p2p/phex/files/phex.sh.in
  head/net-p2p/vuze/Makefile
  head/net-p2p/vuze/files/vuze.in
  head/portuguese/irpf-pt_BR/Makefile
  head/portuguese/irpf-pt_BR/files/wrapper.sh
  head/print/pdf-renderer/Makefile
  head/science/colt/Makefile
  head/science/devisor/Makefile
  head/science/devisor/files/devisorgrid.sh.in
  head/science/simsmith/Makefile
  head/science/simsmith/files/simsmith.in
  head/security/dirbuster/Makefile
  head/security/i2p/Makefile
  head/security/iaikpkcs11wrapper/Makefile
  head/security/jbrofuzz/Makefile
  head/security/owasp-dependency-check/Makefile
  head/security/owasp-dependency-check/files/owasp-dependency-check.in
  head/security/webscarab/Makefile
  head/security/xml-security/Makefile
  head/sysutils/hfsexplorer/Makefile
  head/sysutils/jdiskreport/Makefile
  head/sysutils/jvmtop/Makefile
  head/sysutils/jvmtop/files/jvmtop.sh.in
  head/sysutils/linux-crashplan/Makefile
  head/textproc/apache-commons-digester/Makefile
  head/textproc/apache-poi/Makefile
  head/textproc/denature/Makefile
  head/textproc/dom4j/Makefile
  head/textproc/fop/Makefile
  head/textproc/jalingo/Makefile
  head/textproc/jalingo/files/jalingo.in
  head/textproc/jarnal/Makefile
  head/textproc/jaxup/Makefile
  head/textproc/jaxup/files/jaxup-xupdater.sh
  head/textproc/jdictionary/Makefile
  head/textproc/jdictionary/Makefile.plugin
  head/textproc/jing/Makefile
  head/textproc/lucene/Makefile
  head/textproc/lucene4/Makefile
  head/textproc/lucene5/Makefile
  head/textproc/nux/Makefile
  head/textproc/nux/files/fire-xquery.sh.in
  head/textproc/ppower4/Makefile
  head/textproc/ppower4/files/ppower4.sh.in
  head/textproc/qrcodegen/Makefile
  head/textproc/qrcodegen/files/qrcodegen.in
  head/textproc/saxon/Makefile
  head/textproc/saxon/files/saxon.sh.in
  head/textproc/saxon-devel/Makefile
  head/textproc/saxon-devel/files/saxon.sh.in
  head/textproc/trang/Makefile
  head/textproc/weka/Makefile
  head/textproc/xalan-j/Makefile
  head/textproc/xerces-j/Makefile
  head/textproc/xincluder/Makefile
  head/textproc/xincluder/files/xincluder.sh.in
  head/textproc/xml-commons/Makefile
  head/textproc/xom/Makefile
  head/textproc/xp/Makefile
  head/www/apache-forrest/Makefile
  head/www/archiva/Makefile
  head/www/axis2/Makefile
  head/www/dojo-shrinksafe/Makefile
  head/www/dojo-shrinksafe/files/dojo-shrinksafe.in
  head/www/geronimo/Makefile
  head/www/glassfish4/Makefile
  head/www/grails/Makefile
  head/www/helma/Makefile
  head/www/htmlcompressor/Makefile
  head/www/htmlcompressor/files/htmlcompressor.in
  head/www/httpasyncclient/Makefile
  head/www/httpclient/Makefile
  head/www/httpcore/Makefile
  head/www/jetty8/Makefile
  head/www/jmeter/Makefile
  head/www/jmeter/files/jmeter.sh.in
  head/www/madsonic/Makefile
  head/www/madsonic-standalone/Makefile
  head/www/myfaces/Makefile
  head/www/paros/Makefile
  head/www/py-dojango/Makefile
  head/www/resin3/Makefile
  head/www/rssowl/Makefile
  head/www/sahi/Makefile
  head/www/sakai/Makefile
  head/www/scloader/Makefile
  head/www/servlet-api/Makefile
  head/www/subsonic-standalone/Makefile
  head/www/tomcat-native/Makefile
  head/www/tomcat7/Makefile
  head/www/tomcat85/Makefile
  head/www/tomee/Makefile
  head/www/vertx/Makefile
  head/www/yuicompressor/Makefile
  head/www/yuicompressor/files/yuicompressor.in
  head/x11-toolkits/swt/Makefile
  head/x11-wm/lxmed/Makefile
  head/x11-wm/lxmed/files/lxmed.sh.in
Comment 5 Jung-uk Kim freebsd_committer 2019-11-26 21:50:43 UTC
Committed, thanks!